"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const nodeProj_1 = require("./projects/nodeProj");
const mainProj_1 = require("./projects/mainProj");
const angular2Proj_1 = require("./projects/angular2Proj");
const webpackProj_1 = require("./projects/webpackProj");
function run() {
    return __awaiter(this, void 0, void 0, function* () {
        let mainProj = new mainProj_1.MainProj();
        let nodeProj = new nodeProj_1.NodeProj();
        let angular2Proj = new angular2Proj_1.Angular2Proj();
        let webpackProj = new webpackProj_1.WebpackProj();
        yield mainProj.run();
        yield nodeProj.run();
        yield angular2Proj.run();
        yield webpackProj.run();
    });
}
run()
    .then(() => { })
    .catch(err => {
    console.log(err);
});
process.on("SIGINT", function () {
    process.exit(0);
});
//# sourceMappingURL=index.js.map